## v4l2ucp 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(v4l2ucp)
set(V4L2UCP_VERSION 2.0.0)

add_definitions(-Wall -DV4L2UCP_VERSION="${V4L2UCP_VERSION}")
find_package(Qt4 REQUIRED)
include( ${QT_USE_FILE} )

add_subdirectory(src)

=== src/CMakeLists.txt ===
set(SOURCES mainWindow.cpp v4l2controls.cpp v4l2ucp.cpp)
set(HEADERS mainWindow.h v4l2controls.h)
qt4_wrap_cpp(MOC_SOURCES ${HEADERS})
include_directories({CMAKE_BINARY_DIR})

add_executable(v4l2ucp ${SOURCES} ${MOC_SOURCES})
target_link_libraries(v4l2ucp ${QT_LIBRARIES})

add_executable(v4l2ctrl v4l2ctrl.c)

install(TARGETS v4l2ucp v4l2ctrl DESTINATION bin)

## v4l2ucp 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(v4l2ucp)
set(V4L2UCP_VERSION 2.0.2)

add_definitions(-Wall -DV4L2UCP_VERSION="${V4L2UCP_VERSION}")
find_package(Qt4 REQUIRED)
include( ${QT_USE_FILE} )

MESSAGE(STATUS "Looking for libv4l")
find_library(V4L2_LIBRARY v4l2)
if (V4L2_LIBRARY)
    MESSAGE(STATUS "Looking for libv4l - found")
else (V4L2_LIBRARY)
    MESSAGE(FATAL_ERROR "Looking for libv4l - not found.")
endif (V4L2_LIBRARY)

add_subdirectory(src)

set(DESKTOP_ENTRY v4l2ucp.desktop)
set(APP_ICON v4l2ucp.png)

install(FILES ${CMAKE_SOURCE_DIR}/${APP_ICON} DESTINATION share/icons)
install(FILES ${CMAKE_SOURCE_DIR}/${DESKTOP_ENTRY} DESTINATION share/applications)

=== src/CMakeLists.txt ===
set(SOURCES mainWindow.cpp previewSettings.cpp v4l2controls.cpp v4l2ucp.cpp)
set(HEADERS mainWindow.h previewSettings.h v4l2controls.h)
set(UI_FILES previewSettings.ui)
set(RCS v4l2ucp.qrc)
qt4_wrap_cpp(MOC_SOURCES ${HEADERS})
qt4_wrap_ui(UI_HEADERS ${UI_FILES})
qt4_add_resources(RC_SOURCES ${RCS})
include_directories(${CMAKE_BINARY_DIR}/src)

add_executable(v4l2ucp ${SOURCES} ${MOC_SOURCES} ${UI_HEADERS} ${RC_SOURCES})
target_link_libraries(v4l2ucp ${QT_LIBRARIES} ${V4L2_LIBRARY})

add_executable(v4l2ctrl v4l2ctrl.c)
target_link_libraries(v4l2ctrl ${V4L2_LIBRARY})

install(TARGETS v4l2ucp v4l2ctrl DESTINATION bin)

=== debian/changelog ===
v4l2ucp (2.0.2-4build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:49:14 +0000

v4l2ucp (2.0.2-4) unstable; urgency=low

  * Bump Standards.
  * Apply patch to prevent build failure with recent kernel headers;
    see http://wiki.debian.org/ReleaseGoals/NoVideo4Linux1 for more
    information.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Mar 2011 14:09:07 +0100

v4l2ucp (2.0.2-3) unstable; urgency=low

  * Bump Standards.
  * Change my email address.
  * Update 01-desktop_file.patch.
  * Add config file for git-buildpackage.
  * Add .gitignore file.
  * Move packaging to git.

 -- Alessio Treglia <alessio@debian.org>  Sun, 18 Jul 2010 19:53:56 +0200

v4l2ucp (2.0.2-2) unstable; urgency=low

  * v4l2ucp.desktop: Move from Utility to Settings.
  * debian/control:
    - Bump Standards.
    - Set priority to optional.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 27 Mar 2010 11:16:43 +0100

v4l2ucp (2.0.2-1) unstable; urgency=low

  * New upstream release:
    - Now supports both V4L2 and V4L1 devices.
  * Switch to debian 3.0 (quilt) format.
  * debian/control:
    - Update and improve description.
    - Build-depends on libv4l-dev.
    - Allow uploads by Debian Maintainers.
  * Update debian/copyright.
  * Refresh patches.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 26 Jan 2010 16:26:59 +0100

v4l2ucp (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.
  * Remove debian/patches/01-video0_as_default.diff, adopted by upstream.
  * debian/patches/01-desktop_file.patch:
    - Adjust desktop file according to Freeedesktop.org's spec.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 04 Nov 2009 19:21:48 +0100

v4l2ucp (2.0.0-1) unstable; urgency=low

  * Initial release (Closes: #545707).
  * debian/patches/01-video0_as_default.diff: Set /dev/video0 as the
    default device.
  * Add manpages in debian/manpages.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 13 Oct 2009 13:13:17 +0200

=== debian/control ===
Source: v4l2ucp
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7),
 libqt4-dev,
 libv4l-dev,
 cmake
Standards-Version: 3.9.1
Homepage: http://v4l2ucp.sourceforge.net
Vcs-Git: git://git.debian.org/collab-maint/v4l2ucp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/v4l2ucp.git

Package: v4l2ucp
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Video for Linux 2 Universal Control Panel
 V4L2UCP is an universal control panel for V4L and V4L2 devices. It reads
 the description of the controls that the device supports from the device
 device, and presents the user with a graphical means for adjusting those
 controls; it allows for controlling multiple devices.
 .
 Controls can be updated with the device status either manually, or
 periodically. There is an easy way to reset one or all the controls to their
 default state.

=== debian/watch ===
version=3
http://sf.net/v4l2ucp/v4l2ucp-(.*)\.tar\.gz
